<?php

	function ShortCode_Handler_infitem($attr, $text = '') {
		
		if (!Core::moduleIsActive('informationsystem')) {
			return ShortCode_Model::showmessage(Core::_('shortcode.mod_infsys_off'));
		}

		if (!is_array($attr)) {
			return '';
		}
		
		foreach($attr as $key => $value) {
			$attr[$key] = str_replace('*','',$value);
		}
		
		$oXsl = ShortCode_Model::checkXSL($attr);
		if (!($oXsl instanceof Xsl_Model)) {
			return $oXsl;
		}
		
		if ( ( isset($attr['id']) && intval($attr['id']) > 0 ) or intval($text) > 0) {
			if (isset($attr['id']) ) {
				$item_id = $attr['id'];
			} else {
				$item_id = $text;
			}
			$oItem = Core_Entity::factory('Informationsystem_Item',$item_id);
			if (!is_null($oItem->id)) {
				$informationsystem_id = $oItem->informationsystem->id;
				$oInformationsystem = Core_Entity::factory('Informationsystem', $informationsystem_id);
				$Informationsystem_Controller_Show = new Informationsystem_Controller_Show($oInformationsystem);
				$Informationsystem_Controller_Show->group($oItem->informationsystem_group_id);
				$Informationsystem_Controller_Show->item($oItem->id);
				$Informationsystem_Controller_Show->limit(1);

				$Informationsystem_Controller_Show->xsl($oXsl);
				if (isset($attr['itemsproperties']) && $attr['itemsproperties'] != 'false') {
					if ( strtolower($attr['itemsproperties']) == 'true') {
						$Informationsystem_Controller_Show->itemsProperties(TRUE);
					} else {
						$ids = explode(',', $attr['itemsproperties']);
						$Informationsystem_Controller_Show->itemsProperties($ids);
					}
				}
				ob_start();
					$Informationsystem_Controller_Show->show(); 
				$newtext = ob_get_clean();
				return $newtext;
			} else {
				return ShortCode_Model::showmessage(Core::_('shortcode.noneinfsys_item'));
			}
		} else {
			return ShortCode_Model::showmessage(Core::_('shortcode.notinfsys_item'));
		}
	}

?>