<?php
	function ShortCode_Handler_shopgroup($attr, $text) {
		
		if (!Core::moduleIsActive('shop')) {
			return ShortCode_Model::showmessage(Core::_('shortcode.mod_shop_off'));
		}
		
		if (!is_array($attr)) {
			return '';
		}

		foreach($attr as $key => $value) {
			$attr[$key] = str_replace('*','',$value);
		}
		
		$oXsl = ShortCode_Model::checkXSL($attr);
		if (!($oXsl instanceof Xsl_Model)) {
			return $oXsl;
		}

		if ( isset($attr['id'] ) ) {
			$item_id = $attr['id'];
		} else {
			$item_id = $text;
		}
		if ($item_id == 'false') {
			$item_id = false;
		} else {
			$item_id = intval($item_id);
		}
		if ($item_id == false or $item_id >= 0) {
			$shop_id = 0;
			if ($item_id !== false) {
				$oGroup = Core_Entity::factory('shop_Group',$item_id);
				if (is_null($oGroup->name)) {
					return ShortCode_Model::showmessage(Core::_('shortcode.noneshop_group'));
				}
				$shop_id = $oGroup->shop->id;
			} elseif ($item_id === 0) {
				if ( isset($attr['shop_id'] ) ) {
					$shop_id = $attr['shop_id'];
				} else {
					return ShortCode_Model::showmessage(Core::_('shortcode.nullshop_group'));
				}
			} elseif ($item_id === false) {
				if ( isset($attr['shop_id'] ) ) {
					$shop_id = $attr['shop_id'];
				} else {
					return ShortCode_Model::showmessage(Core::_('shortcode.falseshop_group'));
				}
			}

			$oShop = Core_Entity::factory('shop', $shop_id);
			if (is_null($oShop->name)) {
				return ShortCode_Model::showmessage(Core::_('shortcode.noneshop'));
			}
			$Shop_Controller_Show = new Shop_Controller_Show($oShop);
			$Shop_Controller_Show->group($item_id);
			$Shop_Controller_Show
				->xsl($oXsl);
			if (isset($attr['limit'])) {
				$Shop_Controller_Show->limit(intval($attr['limit']));
			} else {
				$Shop_Controller_Show->limit($oShop->items_on_page);
			}
			if (isset($attr['itemsproperties']) && $attr['itemsproperties'] != 'false') {
				if ( strtolower($attr['itemsproperties']) == 'true') {
					$Shop_Controller_Show->itemsProperties(TRUE);
				} else {
					$ids = explode(',', $attr['itemsproperties']);
					$Shop_Controller_Show->itemsProperties($ids);
				}
			}
			if (isset($attr['groupsproperties']) && $attr['groupsproperties'] != 'false') {
				if ( strtolower($attr['groupsproperties']) == 'true') {
					$Shop_Controller_Show->groupsProperties(TRUE);
				} else {
					$ids = explode(',', $attr['groupsproperties']);
					$Shop_Controller_Show->groupsProperties($ids);
				}
			}

			ob_start();
				$Shop_Controller_Show->show(); 
			$newtext = ob_get_clean();
			return $newtext;
		} else {
			return ShortCode_Model::showmessage(Core::_('shortcode.notshop_group'));
		}
	}
?>