<?php

@set_time_limit(90000);

require_once('bootstrap.php');

Core_Auth::authorization('module');

Core::parseUrl();

$oSite = Core_Entity::factory('Site')->getByAlias(Core::$url['host']);

if (is_null($oSite)) {
	// Site not found
	Core_Router::add('domain_not_found', '()')
		->controller('Core_Command_Controller_Domain_Not_Found')
		->execute()
		->header('X-Powered-By', Core::xPoweredBy())
		->sendHeaders()->showBody();
	exit();
}
if (!defined('CURRENT_SITE')) {
	define('CURRENT_SITE', $oSite->id);
}
Core::initConstants($oSite);

define('MODULE_INTERNAL_NAME','shortcode');
define('MODULE_NAME', 'Шорткоды');
define('MODULE_VERSION', "0.8");
define('SELF_NAME', 'installshort.php');
define('MODULE_PAGE', "http://hostdev.pw/module/shortcodes/");

$session_var = MODULE_INTERNAL_NAME;

if (Core_Array::getPost('install', 0) || isset($_SESSION[$session_var]))
{

	$oShortCode = Core_Entity::factory('module')->getBypath('shortcode');
	if (is_null($oShortCode)) {
            $oShortCode = Core_Entity::factory('module');
            $oShortCode->name = MODULE_NAME;
            $oShortCode->path = MODULE_INTERNAL_NAME;
            $oShortCode->indexing = 0;
            $oShortCode->save();
            $oShortCode->install();
	}
	@unlink(SELF_NAME);
	
	header('Location: http://'.$_SERVER['HTTP_HOST'].'/admin/'.MODULE_INTERNAL_NAME.'/index.php');
	unset($_SESSION[$session_var]);
} else
{
unset($_SESSION[$session_var]);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Установка модуля <?php echo MODULE_NAME;?></title>
		<meta content="text/html; charset=UTF-8" http-equiv="Content-Type"></meta>
		<link type="text/css" href="http://www.hostcms.ru/download/6/install/css/style.css" rel="stylesheet"></link>
		<link type="text/css" href="http://www.hostcms.ru/download/6/install/css/skin/style.css" rel="stylesheet"></link>
		<style>
			#id_content #authorization { background:#fff;}
		</style>
	</head>
	<body class="hostcms6">

	<div id="top">
		<div id="hostCmsLogo">
			<a href="/admin/"><img id="hostCmsLogoImg" src="http://www.hostcms.ru/download/6/install/images/logo.png" alt="(^) HostCMS" title="HostCMS"></img></a>
		</div>
	</div>

	<div id="id_content" class="hostcmsWindow">
		<div id="authorization">
			<div id="form">
				
					<p><strong>Установка модуля "<?php echo MODULE_NAME;?>"
						<div>							
							<img src="http://hostdev.pw/upload/information_system_2/1/5/6/item_156/shortcode_min.png" style="float:left; padding-right:10px;">				</div>
					</strong></p>
					<p>Версия: <strong><?php echo MODULE_VERSION;?></strong></p>

				<form name="authorization" action="/<?php echo SELF_NAME;?>" method="post">
					<p>Программа установит модуль и запустит его</p>
						<div style="margin: 10px 0 0 0;"><input name="install" class="start" type="submit" value="Установить"/></div>				</form>
							</div>
			<div id="rightImage" class="globe">
				<div id="theme" class="disableSelect"></div>
			</div>
		</div>

		</div>
		<div id="footer">
			<div id="links">
				<p>Страница модуля:  <a href="<?php echo MODULE_PAGE;?>"><?php echo MODULE_NAME;?></a></p>
				<p>Официальный сайт HostCMS:  <a href="http://www.hostcms.ru" target="_blank">www.hostcms.ru</a></p>
			</div>
		</div>
	</body>
</html>	
<?php
}
?>