<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

/**
 * ShortCodes
 *
 * @Version 0.8
 * @author Eugeny Panikarowsky - evgenii_panikaro@mail.ru
 * @copyright © 2015 Eugeny Panikarowsky
 *
*/

class Shortcode_Router extends Core_Router
{
	/** 
	 * List of routes
	 * @var array
	 */
	static protected $_routes = array();

	/**
	 * Add route Shortcode_Router_Route with name $routeName for URI with routing rules $uri
	 * @param $routeName Name of route
	 * @param $uri
	 * @return Shortcode_Router_Route
	 */
	static public function add($routeName, $uri = NULL)
	{
		return self::$_routes[$routeName] = new Shortcode_Router_Route($uri);
	}
	
	/**
	 * Resolve route for URI $uri
	 * @param string $uri URI
	 * @return Core_Router_Route
	 */
	static public function factory($uri)
	{
		foreach (self::$_routes as $routeName => $oShortcode_Router_Route)
		{
			if ($oShortcode_Router_Route->check($uri))
			{
				return $oShortcode_Router_Route->setUri($uri);
			}
		}

		throw new Core_Exception("Unroutable URI '%uri'.", array('%uri' => $uri));
	}
}